1. Pilot Prop's Avatar
    ok i have had the 9000 only since May but im really interested in getting the 9700...however summer of 10' i think RIM is releasing a new mobile web browser that rivals that of the iphone...so im stuck because idk if i get the 9700 now will the new browser work on that or will new devices be released during that time that support the new browser....can anybody shed some light on this? will the devices out now(or soon to be released) work with the new browser? and are there any rumored new devices that may come out around that time?
    10-21-09 09:29 AM
  2. Fried Rice Mofo's Avatar
    Who knows what's going to happen.. There's still sometime till the Magnum is released but it'll before next summer.

    The big thing is I'm sure the "new browser" will be included in some big OS 5.xxx updated that will make it compatible with older phones (85xx, 89xx, 9xxx series) that have already been released. Phones like the 83xx series will be so outdated by that point they probably won't see it. The 83xx series is lucky enough to see 5.0.

    So long story short, get a 9700 if you feel that will work for you. It would make ZERO sense for RIM to release a browser and make it incompatible for a phone that's less then a year old.
    10-21-09 09:37 AM
  3. Pilot Prop's Avatar
    thanks for the knowledge
    10-21-09 09:40 AM
LINK TO POST COPIED TO CLIPBOARD